dnl
dnl $ Id: $
dnl
 
PHP_ARG_WITH(mdbtools, whether to enable mdbtools functions,
[  --with-mdbtools[=DIR]      With mdbtools support])

if test "$PHP_MDBTOOLS" != "no"; then
  if test -r "$PHP_MDBTOOLS/include/mdbtools.h"; then
	PHP_MDBTOOLS_DIR="$PHP_MDBTOOLS"
  else
	AC_MSG_CHECKING(for mdbtools in default path)
	for i in /usr /usr/local; do
	  if test -r "$i/include/mdbtools.h"; then
		PHP_MDBTOOLS_DIR=$i
		AC_MSG_RESULT(found in $i)
	  fi
	done
  fi

  PHP_ADD_INCLUDE($PHP_MDBTOOLS_DIR/include)

fi

if test "$PHP_MDBTOOLS" != "no"; then
  AC_CHECK_HEADER([$PHP_MDBTOOLS_DIR/include/mdbtools.h], [], AC_MSG_ERROR('mdbtools.h' header not found))
  PHP_SUBST(MDBTOOLS_SHARED_LIBADD)

  PHP_ADD_LIBRARY_WITH_PATH(mdb, $PHP_MDBTOOLS_DIR/lib, MDBTOOLS_SHARED_LIBADD)
  AC_CHECK_LIB(mdb, mdb_init, [AC_DEFINE(HAVE_MDB,1,[ ])], [AC_MSG_ERROR(mdb library not found or wrong version)],)


  AC_DEFINE(HAVE_MDBTOOLS, 1, [ ])
  PHP_NEW_EXTENSION(mdbtools, mdbtools.c , $ext_shared)

fi

