/*
   +----------------------------------------------------------------------+
   | This library is free software; you can redistribute it and/or        |
   | modify it under the terms of the GNU Lesser General Public           |
   | License as published by the Free Software Foundation; either         |
   | version 2.1 of the License, or (at your option) any later version.   | 
   |                                                                      |
   | This library is distributed in the hope that it will be useful,      |
   | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
   | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    |
   | Lesser General Public License for more details.                      | 
   |                                                                      |
   | You should have received a copy of the GNU Lesser General Public     |
   | License in the file LICENSE along with this library;                 |
   | if not, write to the                                                 | 
   |                                                                      |
   |   Free Software Foundation, Inc.,                                    |
   |   59 Temple Place, Suite 330,                                        |
   |   Boston, MA  02111-1307  USA                                        |
   +----------------------------------------------------------------------+
   | Authors: Hartmut Holzgraefe <hartmut@php.net>                        |
   +----------------------------------------------------------------------+
*/

/* $ Id: $ */ 

#ifndef PHP_MDBTOOLS_H
#define PHP_MDBTOOLS_H


#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_MDBTOOLS

#include <php.h>
#include <php_ini.h>
#include <SAPI.h>
#include <ext/standard/info.h>

#include <mdbtools.h>
 typedef struct {
   MdbTableDef *table;
   int num_cols;
   char **bound_values;
   char **column_names;
 } my_MdbTableDef;

extern zend_module_entry mdbtools_module_entry;
#define phpext_mdbtools_ptr &mdbtools_module_entry

#ifdef PHP_WIN32
#define PHP_MDBTOOLS_API __declspec(dllexport)
#else
#define PHP_MDBTOOLS_API
#endif

PHP_MINIT_FUNCTION(mdbtools);
PHP_MSHUTDOWN_FUNCTION(mdbtools);
PHP_RINIT_FUNCTION(mdbtools);
PHP_RSHUTDOWN_FUNCTION(mdbtools);
PHP_MINFO_FUNCTION(mdbtools);

#ifdef ZTS
#include "TSRM.h"
#endif


PHP_FUNCTION(mdb_open);
PHP_FUNCTION(mdb_close);
PHP_FUNCTION(mdb_version);
PHP_FUNCTION(mdb_tables);
PHP_FUNCTION(mdb_table_open);
PHP_FUNCTION(mdb_fetch_row);
PHP_FUNCTION(mdb_fetch_assoc);
PHP_FUNCTION(mdb_table_close);
PHP_FUNCTION(mdb_num_fields);
PHP_FUNCTION(mdb_num_rows);
PHP_FUNCTION(mdb_table_fields);
PHP_FUNCTION(mdb_type_name);

#endif /* PHP_HAVE_MDBTOOLS */

#endif /* PHP_MDBTOOLS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
